SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002221: Destination Network/IP in a Qos Rule crashs the Interface the qos with 500 Internal error - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002221Endian FirewallOther Servicespublic2009-09-28 17:342009-10-27 11:58
ReporterRenee 
Assigned Topeter-endian 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3-rc1 
Target Version2.3Fixed in Version2.3 
Summary0002221: Destination Network/IP in a Qos Rule crashs the Interface the qos with 500 Internal error
DescriptionDestination Network/IP in a Qos Rule crashs the Interface the qos with 500 Internal error You must remove the ip adresses in /var/efw/shaping/config and restart the qos to remove the error.
TagsNo tags attached.
Attached Fileszip file icon Qos error.zip [^] (163,213 bytes) 2009-09-28 17:34

- Relationships

-  Notes
(0003024)
Renee (reporter)
2009-09-28 17:51
edited on: 2009-09-28 18:45

I found the Problem the editor Script for Qos provide a comma at the wrong place namely at the end and not as needed between interface and the Ip address.If then one config from hand changes functioned it.

/edit/ Nevertheless, OK does not function the Ips are written in services and the port becomes a Tos value. Although so only surely might not function...

(0003028)
luca-endian (developer)
2009-09-29 09:15

Confirmed, problem is in the "Destination Network/IP" field.
If you specify more than one ips the error occurs.

There's no log in /var/log/emi

This is the written config line:
root@kenny:/var/efw/shaping # cat config
&192.168.0.16",,,,,EN,,,"192.168.0.15

Debug info:
root@kenny:~ # restartqos.py --debug
2009-09-29 11:12:56,695 - restartqos.py[11342] - ERROR - Migration has to be fixed!!!
2009-09-29 11:12:56,705 - restartqos.py[11342] - INFO - Loading configuration
Traceback (most recent call last):
  File "/usr/local/bin/restartqos.py", line 26, in ?
    setup()
  File "/usr/lib/python2.4/site-packages/endian/qos/commands.py", line 10, in setup
  File "/usr/lib/python2.4/site-packages/endian/qos/qos.py", line 325, in setup
  File "/usr/lib/python2.4/site-packages/endian/qos/qos.py", line 194, in init
  File "/usr/lib/python2.4/site-packages/endian/qos/qos.py", line 71, in parseSettings
  File "/usr/lib/python2.4/site-packages/endian/emi/storage/datasourcestorage.py", line 114, in load
  File "/usr/lib/python2.4/site-packages/endian/emi/storage/datasourcestorage.py", line 162, in getData
  File "/usr/lib/python2.4/site-packages/endian/data/ds.py", line 107, in get
  File "/usr/lib/python2.4/site-packages/endian/data/drivers/csvfile.py", line 33, in _csvGetConfig
  File "/usr/lib/python2.4/site-packages/endian/data/container/csvconfig.py", line 34, in __init__
  File "/usr/lib/python2.4/site-packages/endian/data/container/abstractconfig.py", line 80, in __init__
  File "/usr/lib/python2.4/site-packages/endian/data/container/csvconfig.py", line 49, in _parse
_csv.Error: newline inside string

- Issue History
Date Modified Username Field Change
2009-09-28 17:34 Renee New Issue
2009-09-28 17:34 Renee File Added: Qos error.zip
2009-09-28 17:51 Renee Note Added: 0003024
2009-09-28 18:45 Renee Note Edited: 0003024
2009-09-29 09:15 luca-endian Note Added: 0003028
2009-09-29 09:15 luca-endian Status new => confirmed
2009-09-29 09:15 luca-endian Reproducibility have not tried => always
2009-09-29 14:49 peter-endian Status confirmed => new
2009-09-29 14:49 peter-endian Assigned To => peter-endian
2009-10-06 15:49 peter-endian Assigned To peter-endian => simon-endian
2009-10-06 15:49 peter-endian Target Version => 2.3
2009-10-06 21:59 peter-endian Assigned To simon-endian => peter-endian
2009-10-06 22:00 peter-endian Status new => resolved
2009-10-06 22:00 peter-endian Fixed in Version => 2.3
2009-10-06 22:00 peter-endian Resolution open => fixed
2009-10-27 11:58 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker